curl --request POST \
--url https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appeal_categories": [
"VERIFY_TAX_ID"
],
"evidence": [
"855dff49-c097-4645-3983-08dcb9856232"
],
"explanation": "Find the company incorporation docs attached and please review the Brand Identity status.",
"evp_id": "AEGIS",
"vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
'import requests
url = "https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals"
payload = {
"appeal_categories": ["VERIFY_TAX_ID"],
"evidence": ["855dff49-c097-4645-3983-08dcb9856232"],
"explanation": "Find the company incorporation docs attached and please review the Brand Identity status.",
"evp_id": "AEGIS",
"vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appeal_categories: ['VERIFY_TAX_ID'],
evidence: ['855dff49-c097-4645-3983-08dcb9856232'],
explanation: 'Find the company incorporation docs attached and please review the Brand Identity status.',
evp_id: 'AEGIS',
vetting_id: '48c0ffaa-4e51-4d44-3982-08dcb9856232'
})
};
fetch('https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appeal_categories' => [
'VERIFY_TAX_ID'
],
'evidence' => [
'855dff49-c097-4645-3983-08dcb9856232'
],
'explanation' => 'Find the company incorporation docs attached and please review the Brand Identity status.',
'evp_id' => 'AEGIS',
'vetting_id' => '48c0ffaa-4e51-4d44-3982-08dcb9856232'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals"
payload := strings.NewReader("{\n \"appeal_categories\": [\n \"VERIFY_TAX_ID\"\n ],\n \"evidence\": [\n \"855dff49-c097-4645-3983-08dcb9856232\"\n ],\n \"explanation\": \"Find the company incorporation docs attached and please review the Brand Identity status.\",\n \"evp_id\": \"AEGIS\",\n \"vetting_id\": \"48c0ffaa-4e51-4d44-3982-08dcb9856232\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appeal_categories\": [\n \"VERIFY_TAX_ID\"\n ],\n \"evidence\": [\n \"855dff49-c097-4645-3983-08dcb9856232\"\n ],\n \"explanation\": \"Find the company incorporation docs attached and please review the Brand Identity status.\",\n \"evp_id\": \"AEGIS\",\n \"vetting_id\": \"48c0ffaa-4e51-4d44-3982-08dcb9856232\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"appeal_categories\": [\n \"VERIFY_TAX_ID\"\n ],\n \"evidence\": [\n \"855dff49-c097-4645-3983-08dcb9856232\"\n ],\n \"explanation\": \"Find the company incorporation docs attached and please review the Brand Identity status.\",\n \"evp_id\": \"AEGIS\",\n \"vetting_id\": \"48c0ffaa-4e51-4d44-3982-08dcb9856232\"\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}{
"success": false,
"error": true,
"message": "Unauthorized"
}{
"success": false,
"message": "Request failed. The feature is disabled for the account."
}{
"success": false,
"message": "Request failed. The Brand is not found."
}{
"success": false,
"message": "Invalid request by VETTED_VERIFIED entity for VERIFY_TAX_ID category"
}Appeal external vetting
Submits an appeal for an external vetting of the 10DLC Brand identified by brand_id.
curl --request POST \
--url https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appeal_categories": [
"VERIFY_TAX_ID"
],
"evidence": [
"855dff49-c097-4645-3983-08dcb9856232"
],
"explanation": "Find the company incorporation docs attached and please review the Brand Identity status.",
"evp_id": "AEGIS",
"vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
'import requests
url = "https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals"
payload = {
"appeal_categories": ["VERIFY_TAX_ID"],
"evidence": ["855dff49-c097-4645-3983-08dcb9856232"],
"explanation": "Find the company incorporation docs attached and please review the Brand Identity status.",
"evp_id": "AEGIS",
"vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appeal_categories: ['VERIFY_TAX_ID'],
evidence: ['855dff49-c097-4645-3983-08dcb9856232'],
explanation: 'Find the company incorporation docs attached and please review the Brand Identity status.',
evp_id: 'AEGIS',
vetting_id: '48c0ffaa-4e51-4d44-3982-08dcb9856232'
})
};
fetch('https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appeal_categories' => [
'VERIFY_TAX_ID'
],
'evidence' => [
'855dff49-c097-4645-3983-08dcb9856232'
],
'explanation' => 'Find the company incorporation docs attached and please review the Brand Identity status.',
'evp_id' => 'AEGIS',
'vetting_id' => '48c0ffaa-4e51-4d44-3982-08dcb9856232'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals"
payload := strings.NewReader("{\n \"appeal_categories\": [\n \"VERIFY_TAX_ID\"\n ],\n \"evidence\": [\n \"855dff49-c097-4645-3983-08dcb9856232\"\n ],\n \"explanation\": \"Find the company incorporation docs attached and please review the Brand Identity status.\",\n \"evp_id\": \"AEGIS\",\n \"vetting_id\": \"48c0ffaa-4e51-4d44-3982-08dcb9856232\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appeal_categories\": [\n \"VERIFY_TAX_ID\"\n ],\n \"evidence\": [\n \"855dff49-c097-4645-3983-08dcb9856232\"\n ],\n \"explanation\": \"Find the company incorporation docs attached and please review the Brand Identity status.\",\n \"evp_id\": \"AEGIS\",\n \"vetting_id\": \"48c0ffaa-4e51-4d44-3982-08dcb9856232\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"appeal_categories\": [\n \"VERIFY_TAX_ID\"\n ],\n \"evidence\": [\n \"855dff49-c097-4645-3983-08dcb9856232\"\n ],\n \"explanation\": \"Find the company incorporation docs attached and please review the Brand Identity status.\",\n \"evp_id\": \"AEGIS\",\n \"vetting_id\": \"48c0ffaa-4e51-4d44-3982-08dcb9856232\"\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}{
"success": false,
"error": true,
"message": "Unauthorized"
}{
"success": false,
"message": "Request failed. The feature is disabled for the account."
}{
"success": false,
"message": "Request failed. The Brand is not found."
}{
"success": false,
"message": "Invalid request by VETTED_VERIFIED entity for VERIFY_TAX_ID category"
}Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The unique ID of the 10DLC Brand.
^B[A-Z0-9]{6}$"B6AI7PA"
Body
Appeal category and supporting documentation.
Brand external vetting appeal details.
List of appeal categories. Allowed values: VERIFY_TAX_ID, VERIFY_NON_PROFIT, VERIFY_GOVERNMENT, LOW_SCORE. LOW_SCORE is only valid for vetting appeals — brand identity appeals (ten_dlc_brand_appeals_create) do not accept it.
VERIFY_TAX_ID, VERIFY_NON_PROFIT, VERIFY_GOVERNMENT, LOW_SCORE ["VERIFY_TAX_ID"]
List of evidence IDs associated with the appeal.
["855dff49-c097-4645-3983-08dcb9856232"]
Appeal comment or justification.
"Find the company incorporation docs attached and please review the Brand Identity status."
EVP ID.
"AEGIS"
Vetting ID.
"48c0ffaa-4e51-4d44-3982-08dcb9856232"
Response
Returns the submitted appeal.
Indicates whether the request was successful.
true
Was this page helpful?